Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.xml.xpath
Class XPathUnsupportedException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              antlr.ANTLRException
                  antlr.TokenStreamException
                      weblogic.xml.xpath.XPathException
                          weblogic.xml.xpath.XPathUnsupportedException

All Implemented Interfaces:
  Serializable

    public final class XPathUnsupportedException

extends XPathException

Exception thrown when an attempt is made to parse an XPath which contains expressions that cannot be supported by the chosen document-inspection model.

See Also:
  Serialized Form

Constructor Summary
`XPathUnsupportedException(String msg)`
`XPathUnsupportedException(String msg, Throwable nested)`

Method Summary

Methods inherited from class weblogic.xml.xpath.XPathException
`getNested, getNestedException, printStackTrace, printStackTrace, printStackTrace, superPrintStackTrace, superPrintStackTrace, superToString, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### XPathUnsupportedException

    public XPathUnsupportedException(String msg)

### XPathUnsupportedException

    public XPathUnsupportedException(String msg,
                                     Throwable nested)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD